Summary: HP-GL file viewer 
Name: hpglview
Version: 5.41
Release: 2.slc5
URL: http://cern.ch/hpglview/
Packager: Timo.Hakulinen@cern.ch
Source0: hpglview.i386.bin
Source1: hpglview.wrap
# docs
Source2: ReadMe.txt
Source3: http://cern.ch/service-hpglview/documents/hpglview-541.pdf
#Source4: http://cern.ch/service-hpglview/faq.html
#Source5: http://cern.ch/service-hpglview/examples.html
Source6: hpglview.1
Source7: ReadMe_unix.txt
Source8: Readme.usr_share_hpglview
License: restricted - CERN + worldwide HEP institutes: free of charge, rest: licensed
Group: Applications/Publishing
BuildRoot: %{_tmppath}/%{name}-root
ExclusiveArch: i386
BuildRequires: /usr/bin/perl

%description
The HP-GL viewer developed at CERN provides fast and accurate display
of HP-GL and HP-GL/2 files on a number of platforms and operating
systems. It has an intuitive graphical interface and can be used to
display, print, and convert files from HP-GL and HP-GL/2 to
PostScript, Encapsulated PostScript, DXF, or CGM.

This is a precompiled binary that requires runtime access to a license
file (not shipped with the package).

%prep
mkdir -p $RPM_BUILD_ROOT

%install
install -m 644 %{SOURCE2} .
install -m 644 %{SOURCE3} .
#install -m 644 %{SOURCE4} .
#install -m 644 %{SOURCE5} .
install -m 644 %{SOURCE7} .

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/hpglview
install -m 755 %{SOURCE0} $RPM_BUILD_ROOT/%{_bindir}/hpglview.bin
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/%{_bindir}/hpglview
/usr/bin/perl -p -i -e 's/_VERSION_/%{version}/' $RPM_BUILD_ROOT/%{_bindir}/hpglview
install -m 644 %{SOURCE6} $RPM_BUILD_ROOT/%{_mandir}/man1/hpglview.1
/usr/bin/perl -p -i -e 's/_VERSION_/%{version}/' $RPM_BUILD_ROOT/%{_mandir}/man1/hpglview.1
install -m 644 %{SOURCE8} $RPM_BUILD_ROOT/%{_datadir}/hpglview/Readme

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/hpglview
%{_bindir}/hpglview.bin
%{_mandir}/man1/hpglview.1*
%{_datadir}/hpglview
%doc hpglview-541.pdf  ReadMe.txt ReadMe_unix.txt

%changelog
* Tue Sep 29 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.41-1.slc5
- Correcting version of the package: it is 5.41 , not 5.40 ...

* Thu Jun 25 2009 Jaroslaw Polok <jaroslaw.polok@cern.ch> 5.40-2.slc5
- rebuild for SLC5

* Mon Sep 26 2005 Jan Iven <jan.iven@cern.ch>  5.40-1.cern
- update to 5.40, new ReadMe_unix.txt

* Thu Mar 17 2005 Jan Iven <jan.iven@cern.ch>  5.30-3.cern
- small corrections: version-specific license file, remove faq/examples.html,
  correct URL

* Tue Mar 15 2005 Jan Iven <jan.iven@cern.ch>  5.30-2.cern
- added wrapper to set up the license file location
- added man page from T.Hakulinen

* Fri Feb 25 2005 Jan Iven <jan.iven@cern.ch>  5.30-1.cern
- Initial build, based on binary from T.Hakulinen


